package com.gic.store.service;

import com.gic.enterprise.qo.PageQO;
import com.gic.store.dto.StoreLogDTO;
import com.gic.store.entity.TabStoreLog;
import com.github.pagehelper.Page;

import java.util.List;

/**
 *
 * @ClassName: StoreLogService
 * @Description:
 * @author zhiwj
 * @date 2019-11-11 15:47
 */
public interface StoreLogService {

    /**
     * 门店日志
     * @Title: saveStoreLog
     * @Description:
     * @author zhiwj
     * @param storeLogDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer saveStoreLog(StoreLogDTO storeLogDTO);

    /**
     * 查询列表
     * @Title: listStoreLog
     * @Description:
     * @author zhiwj
     * @param storeLogDTO
     * @param pageQO
     * @return com.github.pagehelper.Page<com.gic.store.entity.TabStoreLog>
     * @throws
     */
    Page<TabStoreLog> listStoreLog(StoreLogDTO storeLogDTO, Integer currentPage, Integer pageSize);

    void saveBulkStoreInfoLog(List<Integer> storeIdList, Integer enterpriseId, Integer operatorId, String operatorName, String content);

    void saveBulkStoreStatusLog(List<Integer> storeIdList, Integer enterpriseId, Integer operatorId, String operatorName, String content);

    void saveBulkStoreGroupLog(List<Integer> storeIdList, Integer enterpriseId, Integer operatorId, String operatorName, String content);

}