package com.gic.store.dto.clerk;

import java.io.Serializable;
/**
 * 批处理导购信息
 * @ClassName: ProcessBatchClerkDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/1/15 10:51 AM 
 */
public class ProcessBatchClerkDTO implements Serializable{
    private static final long serialVersionUID = 2204414841126551169L;

    /**
     * 企业ID
     */
    private Integer enterpriseId;


    /**
     * 店员名称
     */
    private String clerkName;

    /**
     * 店员编码
     */
    private String clerkCode;

    /**
     * 职位名称（仅作展现）
     */
    private String positionName;

    /**
     * 性别  1：男  2：女
     */
    private Integer clerkGender;

    /**
     * 国际码
     */
    private String nationcode;

    /**
     * 电话号码
     */
    private String phoneNumber;

    /**
     * 门店名称
     */
    private String storeName;

    /**
     * 门店code
     */
    private String storeCode;

    /**
     * 域id
     */
    private Integer regionId;

    /********************操作日志**********************/
    /**
     * 事由   1:web后台操作   2:外部触发   3:订单同步  4:会员同步  5:系统配置触发 6 etl同步
     * StoreLogReasonEnum枚举
     */
    private Integer reason;
    /**
     * 备注
     */
    private String remark;
    /**
     * 创建人ID
     */
    private Integer operatorId;
    /**
     * 创建人名称
     */
    private String operatorName;

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getPositionName() {
        return positionName;
    }

    public void setPositionName(String positionName) {
        this.positionName = positionName;
    }

    public Integer getClerkGender() {
        return clerkGender;
    }

    public void setClerkGender(Integer clerkGender) {
        this.clerkGender = clerkGender;
    }

    public String getNationcode() {
        return nationcode;
    }

    public void setNationcode(String nationcode) {
        this.nationcode = nationcode;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public Integer getRegionId() {
        return regionId;
    }

    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }

    public Integer getReason() {
        return reason;
    }

    public void setReason(Integer reason) {
        this.reason = reason;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Integer operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }
}
